Module org.hdfgroup.hdfview
Package hdf.view.DataView

# Class DataViewFactory

Object
hdf.view.DataView.DataViewFactory

Direct Known Subclasses:
  `ImageViewFactory`, `MetaDataViewFactory`, `PaletteViewFactory`, `TableViewFactory`, `TreeViewFactory`

public abstract class DataViewFactory extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataViewFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ImageView`
  `getImageView​(DataViewManager viewer, HashMap dataPropertiesMap)`
  `abstract MetaDataView`
  `getMetaDataView​(org.eclipse.swt.widgets.Composite parentObj, DataViewManager viewer, HObject theObj)`
  `abstract PaletteView`
  `getPaletteView​(org.eclipse.swt.widgets.Shell parent, DataViewManager viewer, ImageView theImageView)`
  `abstract TableView`
  `getTableView​(DataViewManager viewer, HashMap dataPropertiesMap)`
  `abstract TreeView`
  `getTreeView​(org.eclipse.swt.widgets.Composite parent, DataViewManager viewer)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataViewFactory

    public DataViewFactory()

- ## Method Details

  - ### getTableView

    public abstract TableView getTableView​(DataViewManager viewer, HashMap dataPropertiesMap) throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getImageView

    public abstract ImageView getImageView​(DataViewManager viewer, HashMap dataPropertiesMap) throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getPaletteView

    public abstract PaletteView getPaletteView​(org.eclipse.swt.widgets.Shell parent, DataViewManager viewer, ImageView theImageView) throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getMetaDataView

    public abstract MetaDataView getMetaDataView​(org.eclipse.swt.widgets.Composite parentObj, DataViewManager viewer, HObject theObj) throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getTreeView

    public abstract TreeView getTreeView​(org.eclipse.swt.widgets.Composite parent, DataViewManager viewer) throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`